<?php

    declare(strict_types=1);

    /**
     * User: Daschmi (daschmi@daschmi.de)
     * Date: 21.03.2019
     * Time: 10:06
     */

    namespace dywc;

    abstract class Renderer {

        static $view = [];

        public static function render(string $template, ?array $view = []) : string {

            self::$view = $view;

            ob_start();
            include Plugin::$root.'views/'.$template;
            $content = ob_get_contents();
            ob_end_clean();

            return $content;

        }

    }
